<?php
	
/**
 * Plugin Name: Portfolio Plugin
 * Plugin URI: http://www.marchettidesign.net
 * Description: This is a plugin to create <strong>Custom Post Type</strong>.
 * Author: afmarchetti
 * Author URI:  http://www.marchettidesign.net/chi-sono
 * Version: 1
 */


		
//plugin translation
function portfolio_plugin_setup() {
    load_plugin_textdomain('portfolio-plugin', false, dirname(plugin_basename(__FILE__)) . '/lang/');
} // end custom_theme_setup
add_action('after_setup_theme', 'portfolio_plugin_setup');
	
	
	
/* ------------------------------------------------------------------------- *
 *   CUSTOM POST TYPE P ortfolio
/* ------------------------------------------------------------------------- */	


add_action('init', 'create_portfolio');

function create_portfolio() {
	
	

    $labels = array(
        'name'               => __('Portfolio' , 'portfolio-plugin'),
        'singular_name'      => __('Portfolio' , 'portfolio-plugin'),
        'add_new'            => __('Add Work', 'portfolio-plugin'),
        'add_new_item'       => __('Add New Work' , 'portfolio-plugin'),
        'edit_item'          => __('Edit Work', 'portfolio-plugin'),
        'new_item'           => __('New Work', 'portfolio-plugin'),
        'all_items'          => __('All Works', 'portfolio-plugin'),
        'view_item'          => __('View Work' , 'portfolio-plugin'),
        'search_items'       => __('Search Work' , 'portfolio-plugin'),
        'not_found'          => __('Work Not found', 'portfolio-plugin'),
        'not_found_in_trash' => __('Work Not found in the trash', 'portfolio-plugin'),
    );

    $args = array(
        'labels'             => $labels,
        'public'             => true,
        'rewrite'            => array('slug' => 'portfolio'),
        'has_archive'        => true,
        'hierarchical'       => true,
        'menu_position'      => 22,
        'menu_icon' 		 => 'dashicons-welcome-write-blog',
        'supports'           => array(
                                'title',
                                'editor',
                                'thumbnail',
                                'excerpt',
                                'page-attributes' 
                                ),

    );

   register_post_type('portfolio', $args);
}

	
	
	






